补丁类模组
[JECh]通用拼音搜索 (Just Enough Characters)
[JECh]通用拼音搜索 (Just Enough Characters)
红票 80% | 20% 黑票
模组属性评比

[登录百科]后再对模组进行评比~

模组属性评比
更新日志更多
    暂无日志
最新变动更多
  • 教父科技编辑了此模组
  • 2017-11-27 10:08:21 (21天前)
  • Snownee编辑了此模组
  • 2017-07-23 21:56:14 (4月前)
  • Snownee添加了此模组
  • 2017-07-23 17:42:24 (4月前)
最近参与编辑
    活跃
    [JECh] 通用拼音搜索Just Enough Characters
    点赞
    5

    0.0

    无人问津

    昨日指数:18
    昨日平均指数:28.839

    3.59千

    总浏览

    5

    总推荐

    支持的MC版本:
    1. 1.11.2
    2. 1.10.2
    3. 1.12
    4. 1.11
    5. 1.10
    模组关系:
    1. JEI物品管理器 (Just Enough ..是此MOD的前置
    • MOD介绍
    • MOD资料
    • MOD教程
    • MOD讨论
    • MOD下载 (beta)
    • 简介:

      既然是给国人用的我用中文写一遍好了(笑)

      这个 mod 修改了一些 mod 进行文本匹配的方式,现在你可以直接用拼音搜索(全拼或者声母或者混合输入)。与此同时,我会尽量保持原来 mod 的其它特性不受影响,包括英文搜索。顺便说一句,有条件的欢迎到 mcbbs 顶一下我的帖子(笑)

      在 2.0.0 之后的版本可以自动获取兼容列表,每次启动时他都会同步在线列表,但是要到下一次启动时才会生效。也就是说,你需要启动 mc 两次来应用最新的兼容列表。不过兼容列表更新并不频繁,所以你并不需要刻意这样做。与此同时,在没有网络连接的情况下他会使用内置的列表,或者最后一次同步的列表。

      现在暴力兼容模式默认是关闭的,所以各个 mod 的兼容很可能失效。如果遇到任何问题兼容需求的话,欢迎提交到 issue 页。你可以考虑执行 "jech profile" 获得一份客户端分析报告,一并提交给我。

       

      支持列表见下方

       

      感谢:

      本 mod 内置了一个 pinyin4j 的简化版本,非常感谢他们所做的工作。值得一提的是 pinyin4j 用的是 GPL 协议,所以这个 mod 不得不通过 GPL 发布。由此带来的不便敬请谅解(欢迎 PR 一个其他授权的拼音库来)。


      支持列表:

      JEI

      AE2

      Ender IO

      ExU2

      Refined Storage

      Botania

      Actually Additions

      Psi

      EZ Storage 2

      Correlated Potentialistcs

      RFTools

      Vanilla

      NEI

       

      FAQ:

      - 繁体可以用么?

      - 不出意外的话,大概可以。但是我不是很确定繁体的拼音和大陆的拼法是不是一样..“我的世界”对应的是“wodeshijie”或者“wdshj”

      - 会有1.8么?  

      - 因为1.8是一个过气版本,而且现在1.10的发展水平已经远超1.8,所以应该不会做。不过可以试试看,因为这个是 asm 替换,所以理论上只要对应搜索的代码没改,1.20都应该能用。(最后半句显然是flag)

      - 会有NEI么?

      - 嗯最新版理论上支持NEI了,不过相对于NEI的API来说是比较dirty的方法,嗯,就是这样

模组短评:
  • 未登录不能发表短评,请[登录]~
  • grayfox41
    8 楼
    3月前
    [ 回复 yunzl 的短评: 没有这个mod我想我会死 ]

    没有这个mod我想我会死

    是的~~~~

    回复此楼 
  • yunzl
    7 楼
    4月前

    没有这个mod我想我会死

    回复此楼 
  • 突然打了个嗝
    6 楼
    4月前
    [ 回复 HMCL888 的短评: 支持1.7.10吗? ]

    这个mod不支持1.7.10。mcbbs上有和这个功能类同的mod支持1.7.10。

    回复此楼 
  • GTjfgdfbcif
    5 楼
    4月前
    [ 回复 突然打了个嗝 的短评: ***短评不存在*** ]

    1.10.X版本的MOD能用在1.7.10上?

    回复此楼 
  • uu-matter
    地板 #3
    4月前

    什么时候可以有内置输入法Mod

    回复此楼 
  • GTjfgdfbcif
    板凳 #2
    4月前
    [ 回复 HMCL888 的短评: 支持1.7.10吗? ]

    前提JEI有1.7.10版本吗

    回复此楼 
  • HMCL888
    沙发 #1
    4月前

    支持1.7.10吗?

    回复此楼 
MCmod百科

[ MC百科(mcmod.cn) 除教程作者自定义规则的文章, 及未授权的站外图片/链接以外的所有可编辑内容, 均采用 BY-NC-SA 3.0 协议 ]

Minecraft百科CC协议